gauge
区分
JVN番号
タイトル
JVN
深刻度
最終更新日
CVE番号
New
JVNDB-2004-000481

Linux Kernel の load_elf_binary() 関数における任意のコードを実行される脆弱性

7.2
2007/04/01 00:00
CVE-2004-1070

JVNDB-2004-000481

Linux Kernel の load_elf_binary() 関数における任意のコードを実行される脆弱性
概要
------------ 本脆弱性情報は、同時期に公開された複数の脆弱性について、まとめて解説したものです。タイトル以外の他の脆弱性情報の内容が含まれていますので予めご了承ください。 ------------ ELF (Executable and Linking Format) は、多くの Linux ディストリビューションで標準とされる、バイナリフォーマットです。 Linux Kernel に同梱されている ELF バイナリローダ には、setuid バイナリの処理において以下の複数のセキュリティ上の問題が存在します。 ・binfmt_elf.c の load_elf_binary() 関数内において、kernel_read() 関数の返り値のチェックが不適切である問題 (CVE-2004-1070) ・mmap() 関数の呼び出しに失敗した際の処理が不適切である問題 (CVE-2004-1071) ・プログラムインタプリタをメモリ空間にマッピングを行う際の返り値のチェックが不適切である問題 ・インタプリタをロードする処理において、NULL 文字で終端されていないインタプリタ名が存在する問題 (CVE-2004-1072) ・exec.c の execve() に含まれる open_exec() に、読み込み禁止に設定されている ELF バイナリに対して読み込みアクセスを許可してしまう問題 (CVE-2004-1073) これらの問題を利用するローカルの攻撃者は、意図的に作成した setuid バイナリをロードすることにより setuid バイナリの動作を操作し、潜在的に root 権限で任意のコードを実行できる可能性があります。
想定される影響と対策
本脆弱性に伴う影響については、「概要」をご参照ください。
JVNDB-2004-000481は、ベンダより正式な対策が公開されています。ベンダ情報を参照して適切な対策を実施してください。
JVN情報 ※( )内はCVSS v3の値
深刻度7.2N/A
CVECVE-2004-1070
公表日2004/11/10 00:00
登録日2007/04/01 00:00
更新日2007/04/01 00:00
CVSS v2情報
全ての情報を閲覧するにはユーザー登録(無料)またはログインが必要です。